Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: synaptic probleem  (gelezen 1590 keer)

Offline Nunslaughter

  • Lid
    • timovwb
  • Steunpunt: Nee
synaptic probleem
« Gepost op: 2007/07/27, 20:05:36 »
ik kwam een paar dagen geleden erachter dat het comando sudo make en sudo make install niet werkten bij mij...ik kreeg altijd een foutmelding...nu na wat zoeken blijkt dat ik een compiler moet installeren zoals g++...makkelijk zat, die staat in synaptic....maar krijg deze fout als ik het wil afhalen/installeren:



dan wil ik eerst g++4.1 installeren zoals beschreven, maar dan krijg ik een soortgelijke fout voor nog een bestand...enzoverder...

iemand hier een oplossing voor?

Offline Pjotr

  • Lid
    • http://sites.google.com/site/computertip
  • Steunpunt: Nee
synaptic probleem
« Reactie #1 Gepost op: 2007/07/27, 20:09:28 »
Doe eens dit:
sudo apt-get install build-essential

Werkt "make" nu wel?

Offline Nunslaughter

  • Lid
    • timovwb
  • Steunpunt: Nee
synaptic probleem
« Reactie #2 Gepost op: 2007/07/27, 20:12:31 »
sudo apt-get install build-essential
Password:
Pakketlijsten worden ingelezen... Klaar
Boom van vereisten wordt opgebouwd      
Reading state information... Klaar
Sommige pakketten konden niet geïnstalleerd worden. Dit kan betekenen dat u
een onmogelijke situatie gevraagd hebt of dat u de 'unstable'-distributie
gebruikt en sommige benodigde pakketten nog vastzitten in 'incoming'.

Aangezien u slechts een enkele opdracht gegeven hebt is het zeer
waarschijnlijk dat het pakket gewoon niet installeerbaar is. U kunt dan
best een foutrapport indienen voor dit pakket.
De volgende informatie helpt u mogelijk verder:

De volgende pakketten hebben niet-voldane vereisten:
  build-essential: Vereisten: libc6-dev maar het zal niet geïnstalleerd worden of
                              libc-dev
                   Vereisten: g++ (>= 4:4.1.1) maar het zal niet geïnstalleerd worden
E: Niet-werkende pakketten:
ik draai gewoon ubuntu 7.04

Offline Soul-Sing

  • Lid
  • Steunpunt: Nee
synaptic probleem
« Reactie #3 Gepost op: 2007/07/27, 21:15:41 »
navigeer via gksudo nautilus naar:
    /var/lib/dpkg/status
    of /var/lib/dpkg/info
kijk even of daar alles in orde is. waarschijnlijk wel. er zijn geen gebroken pakketten. kan geen kwaad om even te kijken.

Offline Nunslaughter

  • Lid
    • timovwb
  • Steunpunt: Nee
synaptic probleem
« Reactie #4 Gepost op: 2007/07/27, 22:00:46 »
ikhad een paar broken packages met het installeren van compiz fusion (omdat zoals gezegd hierboven ik niks met make kan doen)....maar ik heb het opgelost door deze in synaptic te markeren als herinstalleren en nu geeft hij geen broken meer aan, dus normaal zou dat wel opgelost zijn...


en voor die 2 commandos, een tekst file met honderden regels en een map met honderden bestanden...nakijken zou wel een tijjdje duren :)

Offline Soul-Sing

  • Lid
  • Steunpunt: Nee
synaptic probleem
« Reactie #5 Gepost op: 2007/07/27, 22:59:29 »
Citaat
en voor die 2 commandos, een tekst file met honderden regels en een map met honderden bestanden...nakijken zou wel een tijjdje duren
maar als je slim bent gebruik je de zoekfuctie in het bestand, dat gaat het ineens heel snel.....

Offline Nunslaughter

  • Lid
    • timovwb
  • Steunpunt: Nee
synaptic probleem
« Reactie #6 Gepost op: 2007/07/28, 11:38:54 »
hij vind niks speciaals...maar zoals gezegd heb ik mijn broken packages al gefixt met sy,aptic...maar blijkbaar niet tegoei dan...

Offline Nunslaughter

  • Lid
    • timovwb
  • Steunpunt: Nee
synaptic probleem
« Reactie #7 Gepost op: 2007/08/01, 15:11:49 »
ik krijg g++ nog altijd niet geinstalleerd...

nu wou ik een file installeren(wat ik wel nodig heb) en krijg dit:

timo@timo-laptop:~/libsmbios-0.13.8$ ./configure && make && sudo make all
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for gawk... no
checking for mawk... mawk
checking whether make sets $(MAKE)... yes
checking whether to enable maintainer-specific portions of Makefiles... no
checking for cppunit-config... no
checking for Cppunit - version >= 1.9.6... no
checking for gcc... gcc
checking for C compiler default output file name... configure: error: C compiler cannot create executables
See `config.log' for more details.
in config.log staat dit:
This file contains any messages produced by compilers while
running configure, to aid debugging if configure makes a mistake.

It was created by libsmbios configure 0.13.8, which was
generated by GNU Autoconf 2.59.  Invocation command line was

  $ ./configure

## --------- ##
## Platform. ##
## --------- ##

hostname = timo-laptop
uname -m = i686
uname -r = 2.6.20-16-generic
uname -s = Linux
uname -v = #2 SMP Thu Jun 7 20:19:32 UTC 2007

/usr/bin/uname -p = unknown
/bin/uname -X     = unknown

/bin/arch              = i686
/usr/bin/arch -k       = unknown
/usr/convex/getsysinfo = unknown
hostinfo               = unknown
/bin/machine           = unknown
/usr/bin/oslevel       = unknown
/bin/universe          = unknown

PATH: /usr/local/sbin
PATH: /usr/local/bin
PATH: /usr/sbin
PATH: /usr/bin
PATH: /sbin
PATH: /bin
PATH: /usr/games


## ----------- ##
## Core tests. ##
## ----------- ##

configure:1564: checking for a BSD-compatible install
configure:1619: result: /usr/bin/install -c
configure:1630: checking whether build environment is sane
configure:1673: result: yes
configure:1738: checking for gawk
configure:1767: result: no
configure:1738: checking for mawk
configure:1754: found /usr/bin/mawk
configure:1764: result: mawk
configure:1774: checking whether make sets $(MAKE)
configure:1794: result: yes
configure:1962: checking whether to enable maintainer-specific portions of Makefiles
configure:1971: result: no
configure:2020: checking for cppunit-config
configure:2051: result: no
configure:2060: checking for Cppunit - version >= 1.9.6
configure:2064: result: no
configure:2193: checking for gcc
configure:2209: found /usr/bin/gcc
configure:2219: result: gcc
configure:2463: checking for C compiler version
configure:2466: gcc --version &5
gcc (GCC) 4.1.2 (Ubuntu 4.1.2-0ubuntu4)
Copyright (C) 2006 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

configure:2469: $? = 0
configure:2471: gcc -v &5
Using built-in specs.
Target: i486-linux-gnu
Configured with: ../src/configure -v --enable-languages=c,c++,fortran,objc,obj-c++,treelang --prefix=/usr --enable-shared --with-system-zlib --libexecdir=/usr/lib --without-included-gettext --enable-threads=posix --enable-nls --program-suffix=-4.1 --enable-__cxa_atexit --enable-clocale=gnu --enable-libstdcxx-debug --enable-mpfr --enable-checking=release i486-linux-gnu
Thread model: posix
gcc version 4.1.2 (Ubuntu 4.1.2-0ubuntu4)
configure:2474: $? = 0
configure:2476: gcc -V &5
gcc: '-V' option must have argument
configure:2479: $? = 1
configure:2502: checking for C compiler default output file name
configure:2505: gcc    conftest.c  >&5
/usr/bin/ld: crt1.o: No such file: No such file or directory
collect2: ld returned 1 exit status
configure:2508: $? = 1
configure: failed program was:
| /* confdefs.h.  */
|
| #define PACKAGE_NAME "libsmbios"
| #define PACKAGE_TARNAME "libsmbios"
| #define PACKAGE_VERSION "0.13.8"
| #define PACKAGE_STRING "libsmbios 0.13.8"
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE "libsmbios"
| #define VERSION "0.13.8"
| /* end confdefs.h.  */
|
| int
| main ()
| {
|
|   ;
|   return 0;
| }
configure:2547: error: C compiler cannot create executables
See `config.log' for more details.

## ---------------- ##
## Cache variables. ##
## ---------------- ##

ac_cv_env_CC_set=
ac_cv_env_CC_value=
ac_cv_env_CFLAGS_set=
ac_cv_env_CFLAGS_value=
ac_cv_env_CPPFLAGS_set=
ac_cv_env_CPPFLAGS_value=
ac_cv_env_CPP_set=
ac_cv_env_CPP_value=
ac_cv_env_CXXCPP_set=
ac_cv_env_CXXCPP_value=
ac_cv_env_CXXFLAGS_set=
ac_cv_env_CXXFLAGS_value=
ac_cv_env_CXX_set=
ac_cv_env_CXX_value=
ac_cv_env_F77_set=
ac_cv_env_F77_value=
ac_cv_env_FFLAGS_set=
ac_cv_env_FFLAGS_value=
ac_cv_env_LDFLAGS_set=
ac_cv_env_LDFLAGS_value=
ac_cv_env_build_alias_set=
ac_cv_env_build_alias_value=
ac_cv_env_host_alias_set=
ac_cv_env_host_alias_value=
ac_cv_env_target_alias_set=
ac_cv_env_target_alias_value=
ac_cv_path_CPPUNIT_CONFIG=no
ac_cv_path_install='/usr/bin/install -c'
ac_cv_prog_AWK=mawk
ac_cv_prog_ac_ct_CC=gcc
ac_cv_prog_make_make_set=yes

## ----------------- ##
## Output variables. ##
## ----------------- ##

ACLOCAL='${SHELL} /home/timo/libsmbios-0.13.8/build/missing --run aclocal-1.9'
AMDEPBACKSLASH=''
AMDEP_FALSE=''
AMDEP_TRUE=''
AMTAR='${SHELL} /home/timo/libsmbios-0.13.8/build/missing --run tar'
AR=''
AUTOCONF='${SHELL} /home/timo/libsmbios-0.13.8/build/missing --run autoconf'
AUTOHEADER='${SHELL} /home/timo/libsmbios-0.13.8/build/missing --run autoheader'
AUTOMAKE='${SHELL} /home/timo/libsmbios-0.13.8/build/missing --run automake-1.9'
AWK='mawk'
CC='gcc'
CCDEPMODE=''
CFLAGS=''
CPP=''
CPPFLAGS=''
CPPUNIT_CFLAGS=''
CPPUNIT_CONFIG='no'
CPPUNIT_LIBS=''
CXX=''
CXXCPP=''
CXXDEPMODE=''
CXXFLAGS=''
CYGPATH_W='echo'
DEFS=''
DEPDIR=''
DOT=''
DOXYGEN=''
ECHO='echo'
ECHO_C=''
ECHO_N='-n'
ECHO_T=''
EGREP=''
EXEEXT=''
F77=''
FFLAGS=''
HAS_DOT_FALSE=''
HAS_DOT_TRUE=''
HAS_DOXYGEN_FALSE=''
HAS_DOXYGEN_TRUE=''
INSTALL_DATA='${INSTALL} -m 644'
INSTALL_PROGRAM='${INSTALL}'
INSTALL_SCRIPT='${INSTALL}'
INSTALL_STRIP_PROGRAM='${SHELL} $(install_sh) -c -s'
LDFLAGS=''
LIBOBJS=''
LIBS=''
LIBSMBIOSXML_LIBTOOL_AGE=''
LIBSMBIOSXML_LIBTOOL_CURRENT=''
LIBSMBIOSXML_LIBTOOL_REVISION=''
LIBSMBIOS_LIBTOOL_AGE=''
LIBSMBIOS_LIBTOOL_CURRENT=''
LIBSMBIOS_LIBTOOL_REVISION=''
LIBTOOL=''
LN_S=''
LTLIBOBJS=''
MAINT='#'
MAINTAINER_MODE_FALSE=''
MAINTAINER_MODE_TRUE='#'
MAKEINFO='${SHELL} /home/timo/libsmbios-0.13.8/build/missing --run makeinfo'
OBJEXT=''
PACKAGE='libsmbios'
PACKAGE_BUGREPORT=''
PACKAGE_NAME='libsmbios'
PACKAGE_STRING='libsmbios 0.13.8'
PACKAGE_TARNAME='libsmbios'
PACKAGE_VERSION='0.13.8'
PATH_SEPARATOR=':'
RANLIB=''
RELEASE_EXTRALEVEL=''
RELEASE_MAJOR=''
RELEASE_MINOR=''
RELEASE_NAME=''
RELEASE_RPM_EXTRALEVEL=''
RELEASE_SUBLEVEL=''
SED=''
SET_MAKE=''
SHELL='/bin/bash'
STRIP=''
VERSION='0.13.8'
ac_ct_AR=''
ac_ct_CC='gcc'
ac_ct_CXX=''
ac_ct_F77=''
ac_ct_RANLIB=''
ac_ct_STRIP=''
am__fastdepCC_FALSE=''
am__fastdepCC_TRUE=''
am__fastdepCXX_FALSE=''
am__fastdepCXX_TRUE=''
am__include=''
am__leading_dot='.'
am__quote=''
am__tar='${AMTAR} chof - "$$tardir"'
am__untar='${AMTAR} xf -'
bindir='${exec_prefix}/bin'
build=''
build_alias=''
build_cpu=''
build_os=''
build_vendor=''
datadir='${prefix}/share'
exec_prefix='NONE'
host=''
host_alias=''
host_cpu=''
host_os=''
host_vendor=''
includedir='${prefix}/include'
infodir='${prefix}/info'
install_sh='/home/timo/libsmbios-0.13.8/build/install-sh'
libdir='${exec_prefix}/lib'
libexecdir='${exec_prefix}/libexec'
localstatedir='${prefix}/var'
mandir='${prefix}/man'
mkdir_p='mkdir -p --'
oldincludedir='/usr/include'
prefix='NONE'
program_transform_name='s,x,x,'
sbindir='${exec_prefix}/sbin'
sharedstatedir='${prefix}/com'
sysconfdir='${prefix}/etc'
target_alias=''

## ----------- ##
## confdefs.h. ##
## ----------- ##

#define PACKAGE "libsmbios"
#define PACKAGE_BUGREPORT ""
#define PACKAGE_NAME "libsmbios"
#define PACKAGE_STRING "libsmbios 0.13.8"
#define PACKAGE_TARNAME "libsmbios"
#define PACKAGE_VERSION "0.13.8"
#define VERSION "0.13.8"

configure: exit 77
iemand die mij hier een oplossing voor kan geven...ik heb dit best nodig...

Offline Nunslaughter

  • Lid
    • timovwb
  • Steunpunt: Nee
synaptic probleem
« Reactie #8 Gepost op: 2007/08/01, 22:29:57 »
sorry dat ik hier achter zit, maar weet niemand waar deze problemen aan zouden kunnen liggen? mijn laatste post hierboven ivm libsmbios is best belangerijk...

Offline Nunslaughter

  • Lid
    • timovwb
  • Steunpunt: Nee
synaptic probleem
« Reactie #9 Gepost op: 2007/10/06, 14:12:11 »
even een oude post van mij boven halen...want ik heb ondertussen net hetzelfde probleem...de vorige keer had ik het opgelost met een nieuwe install, maar daar heb ik het nu niet voor...

timo@timo-laptop:~$ sudo apt-get install build-essential
Pakketlijsten worden ingelezen... Klaar
Boom van vereisten wordt opgebouwd      
Reading state information... Klaar
Sommige pakketten konden niet geïnstalleerd worden. Dit kan betekenen dat u
een onmogelijke situatie gevraagd hebt of dat u de 'unstable'-distributie
gebruikt en sommige benodigde pakketten nog vastzitten in 'incoming'.

Aangezien u slechts een enkele opdracht gegeven hebt is het zeer
waarschijnlijk dat het pakket gewoon niet installeerbaar is. U kunt dan
best een foutrapport indienen voor dit pakket.
De volgende informatie helpt u mogelijk verder:

De volgende pakketten hebben niet-voldane vereisten:
  build-essential: Vereisten: libc6-dev maar het zal niet geïnstalleerd worden of
                              libc-dev
                   Vereisten: g++ (>= 4:4.1.1) maar het zal niet geïnstalleerd worden
E: Niet-werkende pakketten:

Offline Nunslaughter

  • Lid
    • timovwb
  • Steunpunt: Nee
synaptic probleem
« Reactie #10 Gepost op: 2007/10/06, 14:42:53 »
opgelost...

blijkbaar als ge aptitude ipv apt-get gebruikt, lost hij heel wat dingen op...